#include <bits/stdc++.h>

using namespace std;


int main()
{
    vector<int> niz;
    int n, k, a;
    scanf("%d %d", &n, &k);
    for(int i = 0; i<n; i++){
        scanf("%d", &a);
        niz.push_back(a);
    }

    for(int i = 0; k>0 && i<n ; i++){

        if(niz[i+1] < niz[i]){

            niz.erase(niz.begin()+i);
            k--;

        }
}
    for(int i = 0; i< niz.size(); i++)
    {
            printf("%d ", niz[i]);

    }
    return 0;
}